#!/usr/bin/python
# -*- coding=utf-8 -*-
#
"""
Arabic Named enteties recognation pyarabic.named
@author: Taha Zerrouki
@contact: taha dot zerrouki at gmail dot com
@copyright: Arabtechies,  Arabeyes,   Taha Zerrouki
@license: GPL
@date:2017/02/14
@version: 0.3
"""
from __future__ import (
    unicode_literals,
    )
ORDINAL =u"""الأول
الثاني
الثالث
الرابع
الخامس
السادس
السابع
الثامن
التاسع
العاشر
الحادي عشر
الثاني عشر
الثالث عشر
الرابع عشر
الخامس عشر
السادس عشر
السابع عشر
الثامن عشر
التاسع عشر
العشرون
الحادي والعشرون
الثاني والعشرون
الثالث والعشرون
الرابع والعشرون
الخامس والعشرون
السادس والعشرون
السابع والعشرون
الثامن والعشرون
التاسع والعشرون
الثلاثون
الحادي والثلاثون
""".split('\n')

MONTHS =u"""محرم
صفر
ربيع الأول
ربيع الثاني
جمادى
جمادى الأولى
جمادى الآخرة
جمادى الثانية
رجب
شعبان
رمضان
شوال
ذو القعدة
ذي القعدة
ذو الحجة
ذي الحجة
#الميلادية المشرقية
كانون الثاني
شباط
آذار
نيسان
أيار
حزيران
تموز
آب
أيلول
تشرين
تشرين الأول
تشرين الثاني
كانون الأول
#تسميات بديلة
يناير
جانفي
فبراير
فيفري
مارس
أبريل
أفريل
مايو
ماي
يونيو
جوان
يوليو
جويليه
أغسطس
غشت
أوت
سبتمبر
شتنبر
أكتوبر
نوفمبر
نونبر
ديسمبر
دجمبر
الشهر الأول
الشهر الثاني
الشهر الثالث
الشهر الرابع
الشهر الخامس
الشهر السادس
الشهر السابع
الشهر الثامن
الشهر التاسع
الشهر العاشر
الشهر الحادي عشر
الشهر الثاني عشر
الشهر الجاري
الشهر الماضي
الشهر الفائت
الشهر المنصرم
الشهر الميلادي
الشهر الهجري
الشهر القمري
الشهر الشمسي
الشهر الحالي
""".split("\n")
YEARS=u"""السنة الجارية
السنة الماضية
السنة القادمة
العام الجاري
العام الماضي
العام الفائت
العام المنصرم
السنة الميلادية
العام الميلادي
السنة الهجرية
العام الهجري
السنة القمري
العام القمري
السنة الشمسية
العام الشمسي
قبل الهجرة
بعد الهجرة
بعد الميلاد
قبل الميلاد
""".split('\n')
CALENDERS=u"""م
ق.م.
ق.م 
قبل الميلاد
للميلاد
ميلادي
ميلادية
ه
هـ
ق.ه.
ق.ه
هجري
هجرية
للهجرة
قبل الهجرة
بعد الهجرة
الهجرة
من الهجرة
""".split('\n')
ADJS=u"""الجارية
الماضية
القادمة
الجاري
الماضي
الفائت
الحالي
الحالية
السابق
السابقة
المنصرم
الميلادية
الميلادي
الهجرية
الهجري
القمري
القمري
الشمسي
الأول
الثاني
الثالث
الرابع
الخامس
السادس
السابع
الثامن
التاسع
العاشر
الحادي
""".split('\n')
COMPOSED =u"""ذو القعدة
ذي القعدة
ذو الحجة
ذي الحجة
ربيع أول
ربيع الاول
ربيع الآخر
جمادى الأولى
جمادى الثانية
جمادى الآخرة
كانون أول
كانون الأول
تشرين أول
تشرين الأول
تشرين ثاني
تشرين الثاني
كانون الثاني
""".split('\n')

DAYS =u"""السبت
الأحد
الاثنين
الثلاثاء
الأربعاء
الخميس
الجمعة
""".split('\n')

MIDDLE_WORDS =u"""من
في
/
شهر
،
,
شهر
والثلاثون
والثلاثين
والعشرون
والعشرين
""".split('\n')
PRE_NUMERIC =u"""سنة
عام
العام
السنة
سنة
القرن
قرن
""".split('\n')

PREFIXES=(u'و', u'ف', u'ل', u'ب', u'ك', u"ال")
