#!/usr/bin/python
# -*- coding=utf-8 -*-
#
"""
Arabic Named enteties recognation pyarabic.named
@author: Taha Zerrouki
@contact: taha dot zerrouki at gmail dot com
@copyright: Arabtechies,  Arabeyes,   Taha Zerrouki
@license: GPL
@date:2017/02/14
@version: 0.3
"""
from __future__ import (
    unicode_literals,
    )
ORDINAL =u"""الأول
الأولى
الثانية
الثالثة
الرابعة
الخامسة
السادسة
السابعة
الثامنة
التاسعة
العاشرة
الحادية
الثاني
النصف
الثالث
الرابع
الخامس
السادس
السابع
الثامن
التاسع
العاشر
الحادي عشر
الثاني عشر
الثالث عشر
الرابع عشر
الخامس عشر
السادس عشر
السابع عشر
الثامن عشر
التاسع عشر
العشرون
العشرين
الحادي والعشرون
الثاني والعشرون
الثالث والعشرون
الرابع والعشرون
الخامس والعشرون
السادس والعشرون
السابع والعشرون
الثامن والعشرون
التاسع والعشرون
الثلاثون
الحادي والثلاثون
""".split('\n')

ORDINAL1 =u"""ثلاثة
ثلاث
اثنا
إثنا
أربعة
اربعة
أربع
اربع
خمس
خمسة
ست
ستة
ربع
سبع
سبعة
ثمان
ثمانية
تسع
تسعة
عشر
الأربع
الخمس
الست
السبع
الثمان
التسع
العشر
عشرين
عشرون
ثلاثون
عشرين
ثلاثين
اربعين
أربعين
أربعون
اربعون
خمسون
خمسين
ستون
ستين
سبعون
سبعين
ثمانون
ثمانين
تسعون
تسعين
مئة
مائة
مائتين
مئتين
العشرون
العشرين
العشرين
الثلاثون
الثلاثين
الأربعون
الأربعين
الخمسون
الخمسين
الستون
الستين
السبعون
السبعين
الثمانون
الثمانين
التسعون
التسعين
مائة
مائتين
ثلاثمئة
أربعمائة
خمسمائة
ستمائة
ستمائة
سبعمائة
ثمانمائة
تسعمائة
تسعمائة
ألف
ألفين
الآلاف
ثلاث
آلاف
عشرا
مائة
مئة
""".split('\n')

ORDINAL11=u"""
وثلاث
وثلاثة
وأربعة
واربعة
وأربع
واربع
وخمس
وخمسة
وست
وستة
وسبع
وسبعة
وثمان
وثمانية
وتسع
وتسعة
وعشر
عشرة
وعشرة
وعشرين
وعشرون
وثلاثون
وعشرين
وثلاثين
واربعين
وأربعين
وأربعون
واربعون
وخمسون
وخمسين
وستون
وستين
وسبعون
وسبعين
وثمانون
وثمانين
وتسعون
وتسعين
ومئة
ومائة
ومائتين
ومئتين
والعشرون
والعشرين
والعشرين
والثلاثون
والثلاثين
والأربعون
والأربعين
والخمسون
والخمسين
والستون
والستين
والسبعون
والسبعين
والثمانون
والثمانين
والتسعون
والتسعين
ومائة
ومائتين
وثلاثمئة
وأربعمائة
وخمسمائة
وستمائة
وستمائة
وسبعمائة
وثمانمائة
وتسعمائة
وتسعمائة
وألف
وألفين

""".split('\n')

ORDINAL2 =u"""
العام
للعام
للسنة
لسنة
لقرن
السنة
سنة
القرن
قرن
رأس
غرة
نصف
ونصف
النصف
عام
اعوام
اشهر
أشهر
ايام
أعوام
شهر
لمدة
سنين
سنوات
شهور
يوما
لمدة
عاما
أسبوعا
أسبوع
أسابيع
الأسبوع
سنة
شهرا
اليوم
الشهر
السنة
العام
مدة
تاريخ
التاريخ
عام
العام
السنة
سنة
القرن
قرن
قرنين
قرون
لعام
لشهر
ليوم
لأعوام
لأشهر
لشهور
ليلة
لاشهر
لايام
لشهرين
لعامين
لسنين
لسنتين
لقرون
لسنة
فترة
لحظة
الفترة
اللحظة
ليل
نهار
الليل
النهار
ساعة
دقيقة
ليلة
الليلة
تمام
للعام
الحاضر
الماضي
المستقبل
حاضر
ماضي
مستقبل
""".split('\n')
MONTHS =u"""محرم
صفر
ربيع
ربيع الأول
ربيع الثاني
جمادى
جمادى الأولى
جمادى الآخرة
جمادى الثانية
رجب
شعبان
رمضان
شوال
ذو القعدة
ذي القعدة
ذو الحجة
ذي الحجة
#الميلادية المشرقية
كانون الثاني
شباط
آذار
نيسان
أيار
حزيران
تموز
آب
أيلول
تشرين
تشرين الأول
تشرين الثاني
كانون
كانون الأول
#تسميات بديلة
يناير
جانفي
فبراير
فيفري
مارس
أبريل
أفريل
مايو
ماي
يونيو
جوان
يوليو
جويليه
أغسطس
غشت
أوت
سبتمبر
شتنبر
أكتوبر
نوفمبر
نونبر
ديسمبر
دجمبر
الشهر الأول
الشهر الثاني
الشهر الثالث
الشهر الرابع
الشهر الخامس
الشهر السادس
الشهر السابع
الشهر الثامن
الشهر التاسع
الشهر العاشر
الشهر الحادي عشر
الشهر الثاني عشر
الشهر الجاري
الشهر الماضي
الشهر الفائت
الشهر المنصرم
الشهر الميلادي
الشهر الهجري
الشهر القمري
الشهر الشمسي
قبل الهجرة
بعد الهجرة
الشهر الحالي
""".split("\n")
YEARS=u"""السنة الجارية
السنة الماضية
السنة القادمة
العام الجاري
العام الماضي
العام الفائت
العام المنصرم
السنة الميلادية
العام الميلادي
السنة الهجرية
العام الهجري
السنة القمري
العام القمري
السنة الشمسية
العام الشمسي
قبل الهجرة
بعد الهجرة
بعد الميلاد
قبل الميلاد
عشرينات
العشرينات
عشرينيات
العشرينيات
ثلاثينيات
الثلاثينيات
ثلاثينات
الثلاثينات
أربعينات
أربعينيات
الأربعينيات
خمسينيات
الخمسينيات
ستينيات
الستينيات
سبعينيات
السبعينيات
ثمانينيات
الثمانينيات
تسعينيات
التسعينيات
الأربعينات
خمسينات
الخمسينات
ستينات
الستينات
سبعينات
السبعينات
الثمانينات
ثمانينات
التسعينات
تسعينات
""".split('\n')
CALENDERS=u"""م
ق.م.
ق.م
قبل الميلاد
للميلاد
ميلادي
ميلادية
ه
هـ
هــ
ق.ه.
ق.ه
هجري
هجرية
الهجرة
للهجرة
لهجرة
الهجرة
 بعد الهجرة
الميلاد
الهجري
الميلادي
من الهجرة
""".split('\n')
ADJS=u"""الجارية
الماضية
القادمة
الجاري
الماضي
التالي
التالية
الفائت
الفائتة
الحالي
الحالية
المقبل
المقبلة
معدودة
محدودة
المعدودة
المحدودة
أوائل
اوائل
اواخر
أواسط
اواسط
أواخر
متتالية
المتتالية
السابق
السابقة
المنصرم
المنصرمة
الميلادية
الميلادي
الهجرية
الهجري
القمري
القمري
الشمسي
الأول
الثاني
الثالث
الرابع
الخامس
السادس
السابع
الثامن
التاسع
العاشر
الحادي
""".split('\n')
COMPOSED =u"""ذو القعدة
ذي القعدة
ذو الحجة
ذي الحجة
ربيع أول
ربيع الاول
ربيع الآخر
جمادى الأولى
جمادى الثانية
جمادى الآخرة
كانون أول
كانون الأول
تشرين أول
تشرين الأول
تشرين ثاني
تشرين الثاني
كانون الثاني
""".split('\n')

DAYS =u"""السبت
الأحد
الاثنين
الثلاثاء
الأربعاء
الخميس
الجمعة
""".split('\n')

MIDDLE_WORDS =u"""
من
في
تمام
بعد
بعد
قبل
الى
إلى
بين
الموافق
/
شهر
,
،
شهر
""".split('\n')
PRE_NUMERIC =u"""
""".split('\n')

PREFIXES=(u'و', u'ف', u'ل', u'ب', u'ك', u"ال", u"لل")

AWQAT=u"""
صباح
صبيحة
مساء
فجر
صبح
ظهر
عصر
مغرب
عشاء
صلاة
صباحا
مساءا
فجرا
صبحا
ظهرا
عصرا
صباحا
صبيحة
الصباح
المساء
الفجر
الصبح
الظهر
العصر
المغرب
العشاء
""".split('\n')

TEMPS=u"""ثانية
الساعة
الدقيقة
الثانية
دقيقة
ساعة
ساعتين
ساعات
دقيقتين
دقائق
ثانيتين
ثواني
""".split('\n')
